function [f] = f_x(x_hat,ship_position,M_inv,D,C,W )
    
    eta = x_hat(1:6);
    nu  = x_hat(7:12);
    b   = x_hat(13:18);

    R = eulerang(0  ,0 , eta(6));
    
    
    g = calc_g(eta,ship_position,W);
    
    % Gauss Markov?
    T_b = 10000*eye(6);
    
    f = [   R*nu;
            (-M_inv *(C*nu + D*nu + g -(R'*b)));
            -inv(T_b)*b];
end